콘텐츠로 건너뛰기

EVF-SAM2 Segmentation

통합

모델 id evf-sam
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/evf-sam?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: $0.005 5 API 크레딧 · ≈ ₽0.53 이 페이지에서 실행

API 키 받기
Open model 이미지 편집 #segmentation#mask

긍정 및 부정 프롬프트로 마스크를 반환하는 텍스트 기반 이미지 세분화

Open model · 이미지

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수

세그멘테이션에 사용되는 프롬프트입니다.

프롬프트 결과에서 빼서 세그멘테이션에서 제외할 영역입니다.

•필수 image_url
파일을 끌어다 놓거나

입력 이미지 URL입니다.

고급 blur_mask · expand_mask · semantic_type · mask_only · use_grounding_dino · revert_mask · fill_holes
기본값 0

마스크의 가우시안 블러 커널 크기입니다. 값은 홀수여야 합니다.

기본값 0

지정된 픽셀 수만큼 마스크를 바깥쪽으로 팽창시킵니다.

POST /run/evf-sam?wait=20 견적 → $0.005
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/evf-sam?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

EVF-SAM2 Segmentation 정보

`prompt`로 설명한 이미지 영역을 세분화하며 `negative_prompt`로 영역을 제외합니다. `semantic_type`, `use_grounding_dino`, `revert_mask`, `fill_holes`, `blur_mask`(0~50), `expand_mask`(0~20)을 지원합니다. `mask_only`의 기본값은 true이며 마스크가 적용된 이미지 대신 이진 마스크를 반환합니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
prompt필수
유형string
세그멘테이션에 사용되는 프롬프트입니다.
negative_prompt선택 사항
유형string | null
프롬프트 결과에서 빼서 세그멘테이션에서 제외할 영역입니다.
semantic_type선택 사항
유형boolean
기본값false
신체 부위, 배경 또는 여러 객체의 의미론적 세그멘테이션을 활성화합니다.
image_url필수 image
유형url · image
입력 이미지 URL입니다.
mask_only선택 사항
유형boolean
기본값true
마스크가 적용된 이미지 대신 이진 마스크만 반환합니다.
use_grounding_dino선택 사항
유형boolean
기본값false
세그멘테이션에 SAM 대신 GroundingDINO를 사용합니다.
revert_mask선택 사항
유형boolean
기본값false
전경과 배경을 바꿔 마스크를 반전합니다.
blur_mask선택 사항
유형integer
기본값0
0 – 50
마스크의 가우시안 블러 커널 크기입니다. 값은 홀수여야 합니다.
expand_mask선택 사항
유형integer
기본값0
0 – 20
지정된 픽셀 수만큼 마스크를 바깥쪽으로 팽창시킵니다.
fill_holes선택 사항
유형boolean
기본값false
형태학적 연산을 사용해 마스크의 구멍을 채웁니다.
필수 표준 이름, 사용 가능

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "evf-sam",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 5,
    "usd": "0.005",
    "charged": 5,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
image
object {url, content_type, file_name, file_size}세그멘테이션으로 생성된 이미지입니다.

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/evf-sam.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt